OpenStack Identity (Keystone)

EC2 credentials not migrated from legacy (diablo) database

Reported by Dmitry on 2012-06-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Keystone
Undecided
Unassigned
Essex
Medium
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Currently Keystone does not migrates ec2 credentials from diablo to essex releases.

Fix proposed to branch: master
Review: https://review.openstack.org/8802

Changed in keystone:
status: New → In Progress
Dolph Mathews (dolph) on 2012-06-29
summary: - Not migrates ec2 credentials from legacy db
+ EC2 credentials not migrated from legacy (diablo) database

Reviewed: https://review.openstack.org/8802
Committed: http://github.com/openstack/keystone/commit/ec363aca96d4154118ae14b108fcad2ff0917d92
Submitter: Jenkins
Branch: master

commit ec363aca96d4154118ae14b108fcad2ff0917d92
Author: Dmitry Khovyakov <email address hidden>
Date: Wed Jul 11 14:17:46 2012 +0300

    Import ec2 credentials from old keystone db

    Fix bug #1016056

    Change-Id: Iebf31ccbdeff274b2c8f265911d3411963dd4844

Changed in keystone:
status: In Progress → Fix Committed
Alan Pevec (apevec) on 2012-07-30
tags: added: essex-backport

Reviewed: https://review.openstack.org/10533
Committed: http://github.com/openstack/keystone/commit/d56a3fb026268e87bdd54b862be388d69d5a1266
Submitter: Jenkins
Branch: stable/essex

commit d56a3fb026268e87bdd54b862be388d69d5a1266
Author: Dmitry Khovyakov <email address hidden>
Date: Wed Jul 11 14:17:46 2012 +0300

    Import ec2 credentials from old keystone db

    Fix bug #1016056

    Change-Id: Iebf31ccbdeff274b2c8f265911d3411963dd4844

tags: added: in-stable-essex
Thierry Carrez (ttx) on 2012-08-16
Changed in keystone:
milestone: none → folsom-3
status: Fix Committed → Fix Released
Dave Walker (davewalker) on 2012-08-24
Changed in keystone (Ubuntu):
status: New → Fix Released
Changed in keystone (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Keystone has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/8802
Stable review: https://review.openstack.org/10533

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2012.1+stable~20120824-a16a0ab9-0ubuntu2

---------------
keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2) precise-proposed; urgency=low

  * New upstream release (LP: #1041120):
    - debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch:
      Dropped.
  * Resynchronize with stable/essex:
    - authenticate in ldap backend doesn't return a list of roles
      (LP: #1035428)
    - LDAP should not check username on "sn" field (LP: #997700)
    - Admin API doesn't valid token. (LP: #1006815, #1006822)
    - Memcache token backend eventually stops working. (LP: #1012381)
    - EC2 credentials not migrated from legacy (diablo) database. (LP: #1016056)
    - Deleting tenants or users does not cleanup metadata. (LP: #973243)
    - Deleting tenants does not cleanup its user associations. (LP: #974199)
    - TokenNotFound not raised in testsuite beacuse of timezone issues. (LP: #983800)
    - Token authentication for a user in a disabled tenant does not raise
      Unauthorized error. (LP: #988920)
    - export_legacy_catalog doesn't convert url names correctly. (LP: #994936)
    - Following a password compromise and subsequent password change,
      tokens remain valid. (LP: #996595)
    - Tokens remain valid after a user account is disabled. (LP: #997194)
 -- Adam Gandelman <email address hidden> Fri, 24 Aug 2012 03:34:59 -0400

Changed in keystone (Ubuntu Precise):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Thierry Carrez (ttx) on 2012-09-27
Changed in keystone:
milestone: folsom-3 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers